Summary: PhantomJS is a headless WebKit with JavaScript API
Name: phantomjs
Version: 1.6.0
Release: 4%{?dist}
License: BSD
Group: Applications/Internet
URL: http://code.google.com/p/phantomjs/
Source0: %{name}-%{version}-source.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: qtwebkit-devel sqlite-devel openssl-devel freetype-devel fontconfig-devel
Requires: qtwebkit

%description
PhantomJS is a headless WebKit with JavaScript API. It has fast
and native support for various web standards: DOM handling,
CSS selector, JSON, Canvas, and SVG.
PhantomJS is created by Ariya Hidayat.

%prep
%setup -q

%build
./build.sh --jobs "`grep "^processor" /proc/cpuinfo | wc -l`"
echo %{_libdir}/phantomjs-qt > 0-phantomjs-qt-%{_arch}.conf

%install
rm -rf %{buildroot}
%{__install} -p -D -m 0755 bin/phantomjs %{buildroot}%{_bindir}/phantomjs.program
mkdir -p %{buildroot}%{_libdir}/phantomjs-qt
cp -a src/qt/lib/* %{buildroot}%{_libdir}/phantomjs-qt
rm -rf %{buildroot}%{_libdir}/phantomjs-qt/{fonts,pkgconfig,*.la,*.prl,README}

%{__cat} >%{buildroot}%{_bindir}/phantomjs <<EOF
#!/bin/bash
LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_libdir}/phantomjs-qt phantomjs.program "\$@"
EOF

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/phantomjs
%{_bindir}/phantomjs.program
%{_libdir}/phantomjs-qt


%changelog
* Sun Aug 05 2012 Nux <rpm@li.nux.ro> - 1.6.0-2
- 0-phantomjs-qt.conf in ld.so.conf.d breaks existing Qt apps; working around it via a wrapper and LD_LIBRARY_PATH

* Wed Jul 04 2012 Nux <rpm@li.nux.ro> - 1.6.0-1
- update to 1.6.0
- updated spec with proper Group, BuildRequires

* Wed Apr 18 2012 Simon Josi <me@yokto.net> - 1.5.0-1
- Package PhantomJS 1.5.0.
